[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLQuery.Delete

Delete and optionally apply updates

## Declaration

Source position: sqldb.pp line 598

`public procedure TCustomSQLQuery.Delete; override;`

## Description

Delete is overridden from DB.TDataset.Delete to implement the auto-applyupdates mechanism: if TSQLQuery.Options contains sqoAutoApplyUpdates, then ApplyUpdates is called as the last step of the Post operation.

## See also

TSQLQuery.Options |  | Options controlling the behaviour of the dataset
TCustomSQLQuery.ApplyUpdates |  | Apply updates and check result